VME Intensity Monitor - Feature #11259
Milestone # 10477 (New): ANUB Startup

Box car averaging devices
12/19/2015 08:02 PM - John Diamond

Status: Closed Start date: 12/19/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 6.00 hours
Target version: Spent time: 1.50 hour
Description

Support for boxcar averaged DCCT devices I:BCBEAM and R:BCBEAM.

History

#1 - 12/19/2015 08:02 PM - John Diamond

- Tracker changed from Milestone to Feature

#2 - 12/19/2015 08:31 PM - John Diamond

There are also "long" box car average devices, see I/R:LABEAM

#3 - 12/21/2015 10:23 AM - John Diamond
- Assignee set to John Diamond

- % Done changed from 0 to 90

Implemented BoxCarFilter class and vmeintFilterBoxCarCreate(..) shell command.
Configured box car filter chains in anubstartup for :BCDCCT and R:BCDCCT.
Created ACNET devices I:BCDCCT and R:BCDCCT.

Need to do some testing still...

#4 - 12/21/2015 10:37 AM - John Diamond
- File boxcar.gif added
- Status changed from New to Closed

- % Done changed from 90 to 100

Looks like R:BCDCCT is working...
Files

boxcar.gif 9.31 KB 12/21/2015 John Diamond
